# Copyright (C) 2024 Manuel Bustillo

class Guest < ApplicationRecord
  acts_as_taggable_on :affinity_groups, :unbreakable_bonds
  belongs_to :group

  enum status: {
    considered: 0,
    invited: 10,
    confirmed: 20,
    declined: 30,
    tentative: 40,
  }

  def full_name
    "#{first_name} #{last_name}"
  end
end
